Schema: SpdrExecutionAllocation (ID: 3710)
METADATA
| Attribute | Value |
|---|---|
| Topic | 3695-order-allocation |
| MLink Token | ClientTrading |
| MLink Endpoint | MLink-Order |
| SRSE Product | SRTrade |
Note: The symbol
=next to a field number indicates that it is a primary key.
BODY
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 10= | fillNumber | long | fillNumber of the SpdrParentExecution being allocated | |
| 100 | baseParentNumber | long | parent order of the allocated execution (always filled; manual/away executions get minted parents) | |
| 103 | omniAccnt | string(16) | omnibus accnt (SR accnt) | |
| 152 | omniCFirm | string(16) | SR client firm | |
| 106 | secKey | OptionKey | security key (stock, future, or option) | |
| 109 | secType | enum : SpdrKeyType | security type | |
| 112 | mlegLegKey | text1 | [secKey.StringKey;legRatio;side;positionEffect, secKey.StringKey;legRatio;side;positionEffect, ...] | |
| 115 | orderSide | enum : BuySell | order side (always buy for MLEG orders) | |
| 163 | clOrdId | long | child order this fill belongs to (one-hop join to the child's SpdrAllocationNotice) | |
| 124 | allocationRule | enum : AllocationRule | ||
| 154 | allocStatus | enum : AllocStatus | ||
| 157 | allocDetail | text2 | ||
| 166 | deliveryStatus | enum : AllocDeliveryStatus | downstream delivery rollup back-propagated from the child's SpdrAllocationNoticeStatus (3700); distinct from allocStatus, which is internal emission state | |
| 145 | modifiedBy | string(24) | user who last modified this record | |
| 148 | modifiedIn | enum : SysEnvironment | ||
| 151 | timestamp | DateTime | timestamp of last modification |
REPEATING FIELDS
Fragments
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 139 | fragAccnt | string(16) | target SR alloc accnt | |
| 160 | fragCFirm | string(16) | SR client firm | |
| 142 | allocSize | int | shares of this fill assigned to the fragment |
Get Schema API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'SpdrExecutionAllocation'
# Request Parameters for Get Schema Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getschema',
"msgType": MSG_TYPE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getschema' \
--data-urlencode 'msgType=SpdrExecutionAllocation'
Get Msg API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'SpdrExecutionAllocation'
# Replace with your pkey value for getting the specific message desired
PKEY = 'ReplaceThisValueForTheQueryToWork'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned.
VIEW = 'baseParentNumber|omniAccnt|omniCFirm|secKey|secType|mlegLegKey|orderSide|clOrdId|allocationRule|allocStatus|allocDetail|deliveryStatus|modifiedBy|modifiedIn|timestamp'
# Replace with your desired where clause.
# a string in the form "field1:eq:valuse" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'omniAccnt:eq:ExampleString'
# Request Parameters for getmsg Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsg',
"pkey": PKEY,
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsg' \
--data-urlencode 'pkey=ReplaceThisValueForTheQueryToWork' \
--data-urlencode 'msgType=SpdrExecutionAllocation' \
--data-urlencode 'view=baseParentNumber|omniAccnt|omniCFirm|secKey|secType|mlegLegKey|orderSide|clOrdId|allocationRule|allocStatus|allocDetail|deliveryStatus|modifiedBy|modifiedIn|timestamp' \
--data-urlencode 'where=omniAccnt:eq:ExampleString'
Get Msgs API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'SpdrExecutionAllocation'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned
VIEW = 'baseParentNumber|omniAccnt|omniCFirm|secKey|secType|mlegLegKey|orderSide|clOrdId|allocationRule|allocStatus|allocDetail|deliveryStatus|modifiedBy|modifiedIn|timestamp'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'omniAccnt:eq:ExampleString'
# Replace with your desired limit of how many messages you receive. The default limit is 500
LIMIT = 500
# Order clause eg. "(field1:DESC | field1:ASC | field2:DESC:ABS | field2:ASC:ABS" (default is unordered; default is faster)
ORDER = 'baseParentNumber:ASC'
# Request Parameters for getmsgs Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsgs',
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE,
"limit": LIMIT,
"order": ORDER
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsgs' \
--data-urlencode 'msgType=SpdrExecutionAllocation' \
--data-urlencode 'view=baseParentNumber|omniAccnt|omniCFirm|secKey|secType|mlegLegKey|orderSide|clOrdId|allocationRule|allocStatus|allocDetail|deliveryStatus|modifiedBy|modifiedIn|timestamp' \
--data-urlencode 'where=omniAccnt:eq:ExampleString' \
--data-urlencode 'limit=500' \
--data-urlencode 'order=baseParentNumber:ASC'
Get Aggregate API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'SpdrExecutionAllocation'
# Replace with fields you want to see aggregate values for. A "|" separated list of measures should be provided
MEASURE = 'baseParentNumber|omniAccnt|omniCFirm|secKey|secType|mlegLegKey|orderSide|clOrdId|allocationRule|allocStatus|allocDetail|deliveryStatus|modifiedBy|modifiedIn|timestamp'
# Replace with fields you want to see aggregated. A "|" separated list of fields should be provided
GROUP = 'secType|orderSide|allocationRule|allocStatus|deliveryStatus|modifiedIn'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'omniAccnt:eq:ExampleString'
# Request Parameters for getaggregate Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getaggregate',
"msgType": MSG_TYPE,
"measure": MEASURE,
"group": GROUP,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getaggregate' \
--data-urlencode 'msgType=SpdrExecutionAllocation' \
--data-urlencode 'measure=baseParentNumber|omniAccnt|omniCFirm|secKey|secType|mlegLegKey|orderSide|clOrdId|allocationRule|allocStatus|allocDetail|deliveryStatus|modifiedBy|modifiedIn|timestamp' \
--data-urlencode 'group=secType|orderSide|allocationRule|allocStatus|deliveryStatus|modifiedIn' \
--data-urlencode 'where=omniAccnt:eq:ExampleString'
Get Count API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'SpdrExecutionAllocation'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'omniAccnt:eq:ExampleString'
# Request Parameters for getCount Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getcount',
"msgType": MSG_TYPE,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getcount' \
--data-urlencode 'msgType=SpdrExecutionAllocation' \
--data-urlencode 'where=omniAccnt:eq:ExampleString'